> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oktolabs.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Board Validations

> Validation Gate panel for a board.

Returns:
- spec_validation_gate: aggregate across all specs + per-spec breakdown
- task_validation_gate: aggregate across all cards + per-card breakdown
- spec_evaluation: aggregate (different gate — qualitative breakdown quality)
- sprint_evaluation: aggregate



## OpenAPI

````yaml /openapi.json get /api/v1/boards/{board_id}/analytics/validations
openapi: 3.1.0
info:
  description: >-
    Okto Pulse REST API schema generated from okto-pulse-core 0.2.0 source for
    docs.oktolabs.ai.
  title: Okto Pulse
  version: 0.2.0
servers: []
security: []
paths:
  /api/v1/boards/{board_id}/analytics/validations:
    get:
      tags:
        - analytics
      summary: Board Validations
      description: >-
        Validation Gate panel for a board.


        Returns:

        - spec_validation_gate: aggregate across all specs + per-spec breakdown

        - task_validation_gate: aggregate across all cards + per-card breakdown

        - spec_evaluation: aggregate (different gate — qualitative breakdown
        quality)

        - sprint_evaluation: aggregate
      operationId: board_validations_api_v1_boards__board_id__analytics_validations_get
      parameters:
        - in: path
          name: board_id
          required: true
          schema:
            title: Board Id
            type: string
        - in: query
          name: from
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: From
        - in: query
          name: to
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: To
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````